function writecfg        
% --- this function writes the configuration file for cluster based 
% --- multi-tau calculations
% ---
% --- by MS 20061027

filetitle = sprintf([ccdimginfo.name,sprintf('batch%03i_average_IQ.ASCII',nBatch)])        ; % define filename figure
filename  = fullfile(ccdimginfo.savepath,filetitle)                        ; % build full file name
out       = fopen(filename,'w')                                            ; % open the configuration filr
% ---
fprintf(out,'# File name      :    %s\n',ccdimginfo.name)                  ;
fprintf(out,'# \n')                                                        ;
fprintf(out,'# Some Parameter : \n')                                       ;
fprintf(out,'# No. of static q   partitions : %5i\n',ccdimginfo.snoq)      ;
fprintf(out,'# No. of static phi partitions : %5i\n',ccdimginfo.snophi)    ;
fprintf(out,'# \n')                                                        ;
fprintf(out,'# \n')                                                        ;
        
% ---
str1   = '#q            ave. I(Q) '                                        ;
output = [x' y']                                                           ;
str2   = '%10.2e %12.2e'                                                   ;
if ( ccdimginfo.snophi > 1 )
    Iqphi = ccdimginfo.result.Iqphi{nBatch}                                ;
    for m = 1 : ccdimginfo.snophi
        strdummy = sprintf('  Phi(%3i)  ',m)                               ;
        str1     = [str1,strdummy]                                         ;
        z        = Iqphi(:,m)                                              ;
        output   = [output z(:)]                                           ;
        str2     = [str2,'%12.2e']                                         ;
    end
end
str1 = [str1,'\n']                                                         ;
str2 = [str2,'\n']                                                         ;
% ---
fprintf(out,str1)                                                          ;
fprintf(out,str2,output')                                                  ;
% ---
fclose(out)                                                                ;
clear out filename filetitle str1 str2 strdummy output z                   ;

% EOF
% ---
        pause(0.001)                                                       ;
