function writeclustercfg(nBatch)        
% --- this function writes the configuration file for cluster based 
% --- multi-tau calculations
% ---
% --- by MS 20061027


% =========================================================================
% --- get some variables from the application data
% =========================================================================
hFigXPCSMain = findall(0,'Tag','xpcsmain_Fig')                             ;
ccdimginfo   = getappdata(hFigXPCSMain,'ccdimginfo')                       ;
% ---
imagepath  = ccdimginfo.imgPath                                            ; % path, where the data resides
imagefile  = ccdimginfo.imagefile{nBatch,1}                                ; % full file name of the data file
name       = ccdimginfo.name                                               ; % data file name without numbering and path
lld        = ccdimginfo.lld                                                ; % lower level discriminination value
saturation = ccdimginfo.saturation                                         ; % saturation value of a pixel on the CCD
% ---
clear hFigXPCSMain ccdimginfo                                              ;


% =========================================================================
% --- open the configuration file
% =========================================================================
filedir   = imagepath                                                      ;
filetitle = [name,'cluster.cfg']                                           ; % define name for configuration file
filename  = fullfile(filedir,filetitle)                                     % build full file name
% out       = fopen(filename,'w')                                            ; % open the configuration file

return
% =========================================================================
% --- write configuration
% =========================================================================
% --- directory in which the data resides
fprintf(out,'<Data Top Directory>')                                        ;
fprintf(out,'''''//users-nfs/8-idi-a/cluster/Aerogel_fullframe_transmission/''''');
fprintf(out,'</Data Top Directory>\n')                                     ;
% --- directory to store the cluster results
fprintf(out,'<Output Directory>')                                          ;
fprintf(out,'''''//users-nfs/8-idi-a/cluster/Aerogel_fullframe_transmission/clusterresults/''''');
fprintf(out,'</Output Directory>\n')                                       ;
% --- data file name
fprintf(out,'<Data File Name>')                                            ;
fprintf(out,'''''Aero_XR6_6_00001-00110.imm''''')                          ;
fprintf(out,'</Data File Name>\n')                                         ;
% --- data start index
fprintf(out,'<Data Start Index>')                                          ;
fprintf(out,'1')                                                           ;
fprintf(out,'</Data Start Index>\n')                                       ;
% --- data end index
fprintf(out,'<Data End Index>')                                            ;
fprintf(out,'100')                                                         ;
fprintf(out,'</Data End Index>\n')                                         ;
% --- averaged dark image
fprintf(out,'<Dark Field File>')                                           ;
fprintf(out,'''''Aero_XR6_6_dark.mat''''')                                 ;
fprintf(out,'</Dark Field File>\n')                                        ;
% --- rms of averaged dark image
fprintf(out,'<Dark RMS Field File>')                                       ;
fprintf(out,'''''NONE''''')                                                ;
fprintf(out,'</Dark RMS Field File>\n')                                    ;
% --- flatfield file
fprintf(out,'<Flat Field File>')                                           ;
fprintf(out,'''''NONE''''')                                                ;
fprintf(out,'</Flat Field File>\n')                                        ;
% --- static q phi partition map
fprintf(out,'<Static Map File>')                                           ;
fprintf(out,'''''Aero_XR6_6_static.mat''''')                               ;
fprintf(out,'</Static Map File>\n')                                        ;
% --- dynamic q phi partition map
fprintf(out,'<Dynamic Map File>')                                          ;
fprintf(out,'''''Aero_XR6_6_dynamic.mat''''')                              ;
fprintf(out,'</Dynamic Map File>\n')                                       ;
% --- saturation value
fprintf(out,'<Saturation Value>')                                          ;
fprintf(out,'65535')                                                       ;
fprintf(out,'</Saturation Value>\n')                                       ;
% --- lower level discrimination value
fprintf(out,'<LLD Value>')                                                 ;
fprintf(out,'-15')                                                         ;
fprintf(out,'</LLD Value>\n')                                              ;
% --- end flag
fprintf(out,'<End>\n')                                                     ;

% =========================================================================
% --- close configuration file & clear leftover variables
% =========================================================================
fclose(out)                                                                ;
clear out                                                                  ;

% EOF
% ---
