function batchmoderunning
% --- This files allows to run the analysis in a batch mode
% --- (i.e. just from a Matlab prompt without the need to use the GUI)
% ---
% --- Version 1.0 by Michael Sprung 20050926
% ---

% =========================================================================
xpcsgui                                                                    ; % start the Gui program to store the results temporaly at the main window
% =========================================================================


% 1. Just edit the parameters in the first block to your liking & run
% 2. To run multiple files just copy the two blocks for each file 


% =========================================================================
% --- load a batchinfo file & change parameters by hand
% =========================================================================
filename = 'F:\testdata\LatexSpheres_kinetic_transmission\lat_m23C_c2_0001-0210.batchinfo'  ; % point to the batchinfo file of the data
loadbatchinfo(filename)                                                    ; % load the batch information
hFigXPCSMain = findall(0,'Tag','xpcsmain_Fig')                             ;
ccdimginfo   = getappdata(hFigXPCSMain,'ccdimginfo')                       ;
% ---
% --- here are some often used examples
% ---
ccdimginfo.lastslice  = ccdimginfo.lastslice - 1                           ;
ccdimginfo.maskMethod = 2                                                  ;
ccdimginfo.maskpoints = [ 1295 ,   47 ;                                 ...
                           225 ,   45 ;                                 ...
                           225 ,   15 ;                                 ...
                          1295 ,    5 ]                                    ;
% ---
% ---
% --- 
setappdata(hFigXPCSMain,'ccdimginfo',ccdimginfo)                           ;


% =========================================================================
% --- start main analysis
% =========================================================================
mapccdpixel                                                                ;
getsdqphispan                                                              ;
qphipartition                                                              ;
[selectedBatches] = getbatches                                             ;
for nBatch = 1 : length(selectedBatches) 
    memorycheck(nBatch)                                                    ; % call of memory check function
    mainanalysis(nBatch)                                                   ; % call of main analysis function
    showresult(nBatch)                                                     ; % create some plots and png files
end
clear selectedBatches nBatch                                               ;


% ---
% EOF
