function batchmoderunning
% --- This files allows to run the analysis in a batch mode
% --- (i.e. just from a Matlab prompt without the need to use the GUI)
% ---
% --- Version 1.0 by Michael Sprung 20050926
% ---

% =========================================================================
% --- start XPCSGUI program
% =========================================================================
xpcsgui                                                                    ; % start the Gui program to store the results temporaly at the main window
% =========================================================================
% --- end of starting XPCSGUI program
% =========================================================================

% =========================================================================
% --- create cell structure with filenames (hard hand work)
% =========================================================================
nDataSets = 1                                                              ; % give the number of data sets to be processed
TopDir    = 'D:\testdata\'                                                 ; % give the top directory where the data resides
fsuffix   = '.batchinfo'                                                   ; % give the file suffix charcters
% --- initialize some cell structures
part1     = cell(nDataSets,1)                                              ; % initialize cell structure with file name part
part2     = cell(nDataSets,1)                                              ; % initialize cell structure with number part
% --- enter all fields for each cell (hard hand work)
part1{1}  = 'lu_w_1106_12_4_34p335C_02'                                    ; % put here the name part 
part2{1}  = '_0001-8000'                                                   ; % put here the number part (with underscore before)
% =========================================================================
% --- end of creating cell structure with filenames (hard hand work)
% =========================================================================


% =========================================================================
% --- loop over all data sets
% =========================================================================
for i = 1 : nDataSets

    
    % =====================================================================
    % --- create filename
    % =====================================================================
    fpart1    = part1{i}                                                   ;
    fpart2    = part2{i}                                                   ;
    % ---
    filename  = [fpart1,fpart2,fsuffix]                                    ; % put the batchinfo file name together
    LowDir    = [fpart1,'\']                                               ; % the the directory name for this data set
    file      = [TopDir,LowDir,filename]                                   ; % point to the batchinfo file of the data

    % =====================================================================
    % --- start main analysis
    % =====================================================================
    loadbatchinfo(file)                                                    ; % load the batch information
    mapccdpixel                                                            ;
    getsdqphispan                                                          ;
    qphipartition                                                          ;
    [selectedBatches] = getbatches                                         ;
    for nBatch = 1 : length(selectedBatches) 
        memorycheck(nBatch)                                                ; % call of memory check function
        mainanalysis(nBatch)                                               ; % call of main analysis function
        showresult(nBatch)                                                 ; % create some plots and png files
    end
    clear selectedBatches nBatch                                           ;
    showmergedg2result                                                     ; % create some merged plots and png files

end


% ---
% EOF
