function custommasksave(varargin)

% =========================================================================
% --- get ccdimginfo
% =========================================================================
hFigXPCSMain   = findall(0,'Tag','xpcsmain_Fig')                           ;
if isappdata(hFigXPCSMain,'ccdimginfo')
    ccdimginfo = getappdata(hFigXPCSMain,'ccdimginfo')                     ;
else
    return                                                                 ;
end


% =========================================================================
% --- write masking information to MaskInfo
% =========================================================================
MaskInfo.maskpoints = ccdimginfo.maskpoints                                ;


% =========================================================================
% --- store MaskInfo to file 
% =========================================================================
currentPath  = pwd                                                         ;
if ( nargin >= 1 )                                                           % check if a file name is supplied (a better check is needed)
    file = varargin{1}                                                     ; % assign the input variable to file
    [fid,message] = fopen(file,'w')                                        ;        
    if ( fid == -1 )                                                         % return if open fails
        uiwait(msgbox(message,'Can not save mask file!','error','modal'))  ;
        fclose(fid)                                                        ;
        % ---
        [filename,filepath] = uiputfile({'*.mat','Save Mask File (*.mat)'}); % dialog to select file
        if isequal([filename,filepath],[0,0])
            restorePath(currentPath)                                       ;
            return                                                         ;
        end
        file = fullfile(filepath,filename)                                 ; % the whole filename
        restorePath(currentPath)                                           ; % restore path
    end
else
    [filename,filepath] = uiputfile({'*.mat','Save Mask File (*.mat)'})    ; % dialog to select file
    if isequal([filename,filepath],[0,0])
        restorePath(currentPath)                                           ;
        return                                                             ;
    end
    file = fullfile(filepath,filename)                                     ; % the whole filename
    restorePath(currentPath)                                               ; % restore path
end
save(file,'MaskInfo')                                                      ;


% =========================================================================
% --- get ccdimginfo
% =========================================================================
clear MaskInfo file varargin currentPath fid message filename filepath     ;
clear hFigXPCSMain ccdimginfo                                              ;


%==========================================================================
% --- restore to current path
%==========================================================================
function restorePath(currentPath)
path_str = ['cd ','''',currentPath,'''']                                   ;
eval(path_str)                                                             ;


% ---
% EOF
