function [blemish] = getblemish(ccdimginfo)
% 
% modify ccdimginfo.usermask to incoorporate blemish files
%
% Michael Sprung
% $Revision: 1.0 $  $Date: 2005/09/14 $
% 

% =========================================================================
% --- Detector 1 : Direct Detection CCD in slow mode
% =========================================================================
if ( ccdimginfo.detector == 1 )
    % ---
    b = ones(ccdimginfo.ccdHardwareRowSize                              ...
            ,ccdimginfo.ccdHardwareColSize,'single')                       ;
    % ---
    b(  981 :  end ,  898 : 1106 ) = 0                                     ;
    b(  652 :  664 ,  632 :  636 ) = 0                                     ;
    b(  797 :  817 ,  636 :  639 ) = 0                                     ;
    b( 1093 :  end ,  280 :  680 ) = 0                                     ;
    b( 1040 :  end ,  365 :  370 ) = 0                                     ;
    b( 1040 :  end ,  416 :  420 ) = 0                                     ;
    b(  946 :  949 ,  788 :  789 ) = 0                                     ;
    b(  730 :  end ,  612 :  615 ) = 0                                     ;
    b(  742 :  759 ,  609 :  618 ) = 0                                     ;
    b( 1059 :  end ,  104 :  121 ) = 0                                     ;
    b( 1042 :  end ,   55 :   63 ) = 0                                     ;
    % ---
end


% =========================================================================
% --- Detector 2 : Direct Detection CCD in fast mode
% =========================================================================
if ( ccdimginfo.detector == 2 )
    % ---
    b = ones(ccdimginfo.ccdHardwareRowSize                              ...
            ,ccdimginfo.ccdHardwareColSize,'single')                       ;
    % ---
    b(  981 :  end ,  898 : 1106 ) = 0                                     ;
    b(  652 :  664 ,  632 :  636 ) = 0                                     ;
    b(  797 :  817 ,  636 :  639 ) = 0                                     ;
    b( 1093 :  end ,  280 :  680 ) = 0                                     ;
    b( 1040 :  end ,  365 :  370 ) = 0                                     ;
    b( 1040 :  end ,  416 :  420 ) = 0                                     ;
    b(  946 :  949 ,  788 :  789 ) = 0                                     ;
    b(  730 :  end ,  612 :  615 ) = 0                                     ;
    b(  742 :  759 ,  609 :  618 ) = 0                                     ;
    b( 1059 :  end ,  104 :  121 ) = 0                                     ;
    b( 1042 :  end ,   55 :   63 ) = 0                                     ;
    % ---
end


% =========================================================================
% --- Detector 3 : Capillary Tapered Phosphor CCD 1st Harmonic
% =========================================================================
if ( ccdimginfo.detector == 3 )
    % ---
    b = ones(ccdimginfo.ccdHardwareRowSize                              ...
            ,ccdimginfo.ccdHardwareColSize,'single')                       ;
    % ---
end
   

% =========================================================================
% --- Detector 4 : Capillary Tapered Phosphor CCD 3rd Harmonic
% =========================================================================
if ( ccdimginfo.detector == 4 )
    % ---
    b = ones(ccdimginfo.ccdHardwareRowSize                              ...
            ,ccdimginfo.ccdHardwareColSize,'single')                       ;
    % ---
end



% =========================================================================
% --- Detector 5 : DALSA
% =========================================================================
if ( ccdimginfo.detector == 5 )
    % ---
    b = ones(ccdimginfo.ccdHardwareRowSize                              ...
            ,ccdimginfo.ccdHardwareColSize,'single')                       ;
    % ---
    b(      :      ,    1 :    4 ) = 0                                     ;
    b(      :      ,  254 :  256 ) = 0                                     ;
    b(      :      ,  257 :  260 ) = 0                                     ;
    b(      :      ,  510 :  512 ) = 0                                     ;
    b(      :      ,  513 :  516 ) = 0                                     ;
    b(      :      ,  766 :  768 ) = 0                                     ;
    b(      :      ,  769 :  772 ) = 0                                     ;
    b(      :      , 1023 : 1024 ) = 0                                     ;
    % --- horizontal slit scattering summer school 2006
    b(  756 : 771  ,      :      ) = 0                                     ;
    % ---
end


% =========================================================================
% --- Detector 6 : SMD CCD 1st Harmonic four times gain
% =========================================================================
if ( ccdimginfo.detector == 6 )
    % ---
    b = ones(ccdimginfo.ccdHardwareRowSize                              ...
            ,ccdimginfo.ccdHardwareColSize,'single')                       ;
    % ---
    b(      :      ,    1 :  10 ) = 0                                      ;
    b(      :      ,  256 : 266 ) = 0                                      ;
    b(      :      ,  511 : 522 ) = 0                                      ;
    b(      :      ,  768 : 778 ) = 0                                      ;
    % --- polygon # 1 is replaced by
    b(    1 :  109 ,    1 :  67 ) = 0                                      ;
    % --- polygon # 2 is replaced by
    b(    1 :   45 ,  909 :1024 ) = 0                                      ;
    b(   45 :   68 ,  909 :1024 ) = 0                                      ;
    b(   68 :   88 ,  942 :1024 ) = 0                                      ;
    b(   88 :  131 ,  978 :1024 ) = 0                                      ;
    % --- polygon # 3 is replaced by
    b(  721 : 738 ,  436 :  462 ) = 0                                      ;
    % --- polygon # 4 (17ms data has rms >5) is replaced by
%     b(  967 :  999 ,  936 : 949 ) = 0                                      ;
    % --- polygon # 5 (200ms data has rms >5) is replaced by
%     b(  496 :  608 ,  909 : 936 ) = 0                                      ;
    % --- polygon # 6 (200ms data has rms >5) is replaced by
%     b(  755 :  777 ,  695 :1024 ) = 0                                      ;
    % --- polygon # 7 (200ms data has rms >5) is replaced by
%     b(    1 :   73 ,  736 : 962 ) = 0                                      ;
%     b(   73 :  126 ,  738 : 957 ) = 0                                      ;
%     b(  126 :  175 ,  752 : 957 ) = 0                                      ;
%     b(  176 :  280 ,  777 : 957 ) = 0                                      ;
    % --- polygon # 8 (200ms data has rms >5) is replaced by
%     b(  955 : 1008 ,  763 : 963 ) = 0                                      ;
%     b(  764 :  954 ,  763 : 950 ) = 0                                      ;
    % ---
end


% =========================================================================
% --- Detector 7 : Other #2 (to be determined)
% =========================================================================
if ( ccdimginfo.detector == 7 )
    % ---
    b = ones(ccdimginfo.ccdHardwareRowSize                              ...
            ,ccdimginfo.ccdHardwareColSize,'single')                       ;
    % ---
end


% =========================================================================
% --- Detector 8 : PI-LCX 1300x1340
% =========================================================================
if ( ccdimginfo.detector == 8 )
    % ---
    b = ones(ccdimginfo.ccdHardwareRowSize                              ...
            ,ccdimginfo.ccdHardwareColSize,'single')                       ;
    % ---
%     b(600:700,600:700) = 0                                                 ; % just for testing this routine
end


% =========================================================================
% --- Detector 9 : CMOS
% =========================================================================
if ( ccdimginfo.detector == 9 )
    % ---
    b = ones(ccdimginfo.ccdHardwareRowSize                              ...
            ,ccdimginfo.ccdHardwareColSize,'single')                       ;
    % ---
end


% =========================================================================
% --- Detector 10 : CMOS at 47deg .tilt
% =========================================================================
if ( ccdimginfo.detector == 10 )
    % ---
    b = ones(ccdimginfo.ccdHardwareRowSize                              ...
            ,ccdimginfo.ccdHardwareColSize,'single')                       ;
    % ---
end


% =========================================================================
% --- Detector 11 : Mar CCD
% =========================================================================
if ( ccdimginfo.detector == 11 )
    % ---
    b = ones(ccdimginfo.ccdHardwareRowSize                              ...
            ,ccdimginfo.ccdHardwareColSize,'single')                       ;
    % ---
end


% =========================================================================
% --- Reduce to ROI size and if needed to a slice size
% =========================================================================
if ( ccdimginfo.kinetics == 0 )                                              % full frame mode
    blemish = b(ccdimginfo.row_beg:ccdimginfo.row_end,                  ...
                ccdimginfo.col_beg:ccdimginfo.col_end)                     ; % take only ROI
    clear b                                                                ;
else                                                                         % kinetics mode
    dummy(:,:) = b(ccdimginfo.row_beg:ccdimginfo.row_end,         ...
                         ccdimginfo.col_beg:ccdimginfo.col_end)            ; % take only ROI
    [i,j]      = find(dummy == 0)                                          ; % find all zeros in dummy
    dummy(:,j) = 0                                                         ; % set all values of columns containing a zero to zero
    blemish(:,:)     = dummy(1 : ccdimginfo.kinwinsize,:)                  ;
    clear b dummy i j                                                      ;
end


% =========================================================================
% --- clear variables
% =========================================================================
clear ccdimginfo                                                           ;


% ---
% EOF
