function [flatfield] = getflatfield(ccdimginfo)
% 
% this routine load the flatfield file 
% if a camera needs a flat field correction
%
% Michael Sprung
% $Revision: 1.0 $  $Date: 2005/09/18 $
% 

% =========================================================================
% --- Detector 1 : Direct Detection CCD in slow mode
% =========================================================================
if ( ccdimginfo.detector == 1 )
    % ---
    flatfield = []                                                         ;
    % ---
end


% =========================================================================
% --- Detector 2 : Direct Detection CCD in fast mode
% =========================================================================
if ( ccdimginfo.detector == 2 )
    % ---
    flatfield = []                                                         ;
    % ---
end


% =========================================================================
% --- Detector 3 : Capillary Tapered Phosphor CCD 1st Harmonic
% =========================================================================
if ( ccdimginfo.detector == 3 )
    % ---
    load('flatfield_phos.mat')                                             ;
    flatfield(:,:) = img(ccdimginfo.row_beg:ccdimginfo.row_end,         ...
                         ccdimginfo.col_beg:ccdimginfo.col_end)            ; % reduce the flatfield to ROI size
    % ---
end
   

% =========================================================================
% --- Detector 4 : Capillary Tapered Phosphor CCD 3rd Harmonic
% =========================================================================
if ( ccdimginfo.detector == 4 )
    % ---
    load('flatfield_phos.mat')                                             ;
    flatfield(:,:) = img(ccdimginfo.row_beg:ccdimginfo.row_end,         ...
                         ccdimginfo.col_beg:ccdimginfo.col_end)            ; % reduce the flatfield to ROI size
    % ---
end



% =========================================================================
% --- Detector 5 : DALSA
% =========================================================================
if ( ccdimginfo.detector == 5 )
    % ---
    flatfield = []                                                         ;
    % ---
end


% =========================================================================
% --- Detector 6 : SMD CCD 1st Harmonic four times gain
% =========================================================================
if ( ccdimginfo.detector == 6 )
    % ---
    load('flatfield_smd.mat')                                              ;
    flatfield(:,:) = img(ccdimginfo.row_beg:ccdimginfo.row_end,         ...
                         ccdimginfo.col_beg:ccdimginfo.col_end)            ; % reduce the flatfield to ROI size
    % ---
end


% =========================================================================
% --- Detector 7 : Other #2 (to be determined)
% =========================================================================
if ( ccdimginfo.detector == 7 )
    % ---

    % ---
end


% =========================================================================
% --- Detector 8 : PI-LCX 1300x1340
% =========================================================================
if ( ccdimginfo.detector == 8 )
    % ---
    flatfield = []                                                         ;
    % ---
end


% =========================================================================
% --- Detector 9 : CMOS
% =========================================================================
if ( ccdimginfo.detector == 9 )
    % ---
    flatfield = []                                                         ;
    % ---
end


% =========================================================================
% --- Detector 10 : CMOS at 47deg .tilt
% =========================================================================
if ( ccdimginfo.detector == 10 )
    % ---
    flatfield = []                                                         ;
    % ---
end


% =========================================================================
% --- Detector 11 : Mar CCD
% =========================================================================
if ( ccdimginfo.detector == 11 )
    % ---
    flatfield = []                                                         ;
    % ---
end


% =========================================================================
% --- clear variables
% =========================================================================
clear ccdimginfo                                                           ;


% ---
% EOF
