function loadresult(varargin)
% --- LOADRESULT Load result .mat file
%
% --- Michael Sprung
% --- $Revision: 1.0 $  $Date: 2005/11/09 $
% ---


%==========================================================================
% --- go the previous stored path
%==========================================================================
hFigXPCSMain = findall(0,'Tag','xpcsmain_Fig')                             ;
currentPath  = pwd                                                         ;
if isappdata(hFigXPCSMain,'ccdimginfo')
    ccdimginfo = getappdata(hFigXPCSMain,'ccdimginfo')                     ;
end


%==========================================================================
% --- check if batchmode is used or else open GUI dialog box
%==========================================================================
if ( nargin == 1 )                                                           % check if a result file name is supplied (a better check is needed)
    file     = varargin{1}                                                 ; % assign the input variable to file
    filepath = fileparts(file)                                             ; 
    restorePath(currentPath)                                               ; % restore path
else
    % --- use try-catch to go the image directory in case user delete the 
    % --- image path while xpcsgui is in process
    try
        go_path_str = ['cd ','''',ccdimginfo.imgPath,'''']                 ;
        eval(go_path_str)                                                  ;
    catch
        go_path_str = ['cd ','''',currentPath,'''']                        ;
        eval(go_path_str)                                                  ;
    end
    % --- dlg to select file
    [filename, filepath] = uigetfile(                                   ...
        {'*result.mat', 'Result Files (*result.mat)'},                  ...
         'Select Result File',                                          ...
         'MultiSelect', 'off')                                             ;
    if isequal([filename,filepath],[0,0])
        restorePath(currentPath)                                           ;
        return                                                             ;
    end
    file = fullfile(filepath,filename)                                     ; % the whole filename
    restorePath(currentPath)                                               ; % restore path
end


%==========================================================================
% --- open info file loading information
%==========================================================================
[fid,message] = fopen(file)                                                ; % open file
if fid == -1                                                                 % return if open fails
    uiwait(msgbox(message,'File Open Error','error','modal'))              ;
    fclose(fid)                                                            ;
    return                                                                 ;
end


%==========================================================================
% --- reset everyting (kill all previous figures related to xpcsgui and
% --- clear ccdimginfo in main xpcsgui figure and in current workspace
%==========================================================================
resetxpcsgui                                                               ;                
clear ccdimginfo                                                           ; 


%==========================================================================
% --- set push buttons in XPCSGUI main window
%==========================================================================
hPushbuttonLoad      = findall(hFigXPCSMain,'Tag','xpcsmain_PushbuttonLoad')      ;
hPushbuttonBatchinfo = findall(hFigXPCSMain,'Tag','xpcsmain_PushbuttonBatchinfo') ;
hPushbuttonAnalysis  = findall(hFigXPCSMain,'Tag','xpcsmain_PushbuttonAnalysis')  ;
hPushbuttonSystem    = findall(hFigXPCSMain,'Tag','xpcsmain_PushbuttonSystem')    ;
hPushbuttonRun       = findall(hFigXPCSMain,'Tag','xpcsmain_PushbuttonRun')       ;
hPushbuttonStop      = findall(hFigXPCSMain,'Tag','xpcsmain_PushbuttonStop')      ;
hPushbuttonResult    = findall(hFigXPCSMain,'Tag','xpcsmain_PushbuttonResult')    ;

set(hPushbuttonLoad     ,'Enable','on')                                    ;
set(hPushbuttonBatchinfo,'Enable','off')                                   ;
set(hPushbuttonAnalysis ,'Enable','off')                                   ;
set(hPushbuttonSystem   ,'Enable','off')                                   ;
set(hPushbuttonRun      ,'Enable','off')                                   ;
set(hPushbuttonStop     ,'Enable','off')                                   ;
set(hPushbuttonResult   ,'Enable','on')                                    ;


%==========================================================================
% --- load results & save ccdimginfo to figure
% --- change the save path to the directory containing the result file
%==========================================================================
load (file)                                                                ;
ccdimginfo.savepath = filepath                                             ;
setappdata(hFigXPCSMain,'ccdimginfo',ccdimginfo)                           ;


%==========================================================================
% --- display the results of selected batches
%==========================================================================
viewresult                                                                 ;


%==========================================================================
% --- restore to current path
%==========================================================================
function restorePath(currentPath)
path_str = ['cd ','''',currentPath,'''']                                   ;
eval(path_str)                                                             ;


% ---
% EOF
