function imm = rmsaturation(varargin)
% RMSATURATION Romove saturation points of imm image.
%   IMAGE = RMSATURATION(IMAGE)
%   IMAGE = RMSATURATION(IMAGE,SATURATION)
%
%   Input Argument:
%       IMAGE: imm image
%       SATURATION: saturation point. Default value 65535 (for images saved
%           by Yorick).
%
% Zhang Jiang
% $Revision: 1.0 $  $Date: 2004/12/09 $

imm = varargin{1};
if nargin == 2
    saturationPt = varargin{2};
else
    saturationPt = 65535;       % default value
end

% --- set points above saturatio point 0
imm(find(imm>=saturationPt)) = 0;